Skill Pools API
Skill Pools API
Заголовок раздела «Skill Pools API»List skill pools
Заголовок раздела «List skill pools»List all skill pools for an account:
GET /skill_poolsResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Chief Financial Controllers", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 7, "disabled": false }, { "name": "Expense Reporting SMEs", "created_at": "2016-03-14T03:10:36-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:36-06:00", "id": 8, "disabled": false }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of skill pools.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/skill_pools/disabled: List all disabled skill pools/skill_pools/enabled: List all enabled skill pools
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of skill pools:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
disabled
created_at
updated_at
Sorting
Заголовок раздела «Sorting»By default a collection of skill pools is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single skill pool
Заголовок раздела «Get a single skill pool»GET /skill_pools/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "picture_uri": null, "name": "Chief Financial Controllers", "remarks": "All large projects must be approved by at least 1 chief financial controller", "created_at": "2016-03-14T03:10:36-06:00", "source": null, "sourceID": null, "cost_per_hour": "250.00", "updated_at": "2016-03-14T03:10:36-06:00", "manager": { "name": "Rodney Wilson", "id": 34 }, "id": 7, "disabled": false}The response contains these fields .
Create a skill pool
Заголовок раздела «Create a skill pool»POST /skill_poolsWhen creating a new skill pool these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "name": "...", "...": "..."}The response contains all fields of the created skill pool and is similar to the response in Get a single skill pool .
Update a skill pool
Заголовок раздела «Update a skill pool»PATCH /skill_pools/:idWhen updating a skill pool these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "...", "...": "..."}The response contains all fields of the updated skill pool and is similar to the response in Get a single skill pool .
attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the skill pool was created.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the skill pool may no longer be related to other records.
id
Readonly integer — The unique ID of the skill pool.
manager
Optional reference to Person — The Manager field is used to select the manager or supervisor of the skill pool. This person is able to maintain the information about the skill pool. The manager of a skill pool does not need to be a member of the skill pool.
name
Required string (max 128) — The Name field is used to enter the name of the skill pool.
picture_uri
Optional string — The hyperlink to the image file for the skill pool.
remarks
Optional text (max 64KB) — The Remarks field is used to add any additional information about the skill pool that might prove useful.
remarks_attachments
Writeonly attachments The inline attachments used in the Remarks field.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the skill pool. If the skill pool has no updates it contains the
created_at
value.
cost_per_hour
Optional decimal — The Cost per hour field is used to enter the skill pool’s estimated total cost per work hour for the service provider organization.
cost_per_hour_currency
Optional enum — The currency of the Cost per hour field value of the skill pool. For valid values, see the list of currencies in the Currency field of the Account API .